
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 出入库原因状态VO
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
public class StockChangeReasonStatusVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long stockChangeReasonStatusId;

    @Schema(description = "关联的系统出入库原因id")
    private Long stockChangeReasonId;

    @Schema(description = "状态，1：启用 0：禁用 -1：删除")
    private Integer status;

    @Schema(description = "店铺id")
    private Long shopId;

    public Long getStockChangeReasonStatusId() {
        return stockChangeReasonStatusId;
    }

    public void setStockChangeReasonStatusId(Long stockChangeReasonStatusId) {
        this.stockChangeReasonStatusId = stockChangeReasonStatusId;
    }

    public Long getStockChangeReasonId() {
        return stockChangeReasonId;
    }

    public void setStockChangeReasonId(Long stockChangeReasonId) {
        this.stockChangeReasonId = stockChangeReasonId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    @Override
    public String toString() {
        return "StockChangeReasonStatusVO{" +
                "stockChangeReasonStatusId=" + stockChangeReasonStatusId +
                ",stockChangeReasonId=" + stockChangeReasonId +
                ",status=" + status +
                ",shopId=" + shopId +
                '}';
    }
}
